#!/bin/sh

CCL_HOME=FILLME

if [ ! -f /usr/share/common-lisp/source/common-lisp-controller/common-lisp-controller.lisp ]; then
  cat <<EOF
OF
$0: cannot find the common-lisp-controller source.
EOF
  exit 0
fi

case $1 in
  install-clc)
    echo $0: loading and dumping clc
    (cd "$CCL_HOME"
     echo '(load "ccl-install-clc.lisp")' \
       | ./lisp-kernel --batch --image-name boot.image --no-init
     mv -f ccl{-new,}.image || (echo FAILED; cp -f ccl{-dist,}.image))
    ;;
  remove-clc)
    echo $0: removing clc-enabled image
    cp -f /usr/lib/ccl/{ccl-dist.image,ccl.image}
    ;;
  *)
    echo $0: unkown command $1
    echo known commands: install-clc, remove-clc
    exit 1
    ;;
esac

exit 0
